M_COPY(3)

FUNCTION
m_copy - Copy a block of memory.

SYNOPSIS
#include <karma_m.h>

void m_copy

(void *dest, CONST void *source, uaddr length)

DESCRIPTION
Copy a block of memory.

dest
    The destination block of memory.

source
    The source block of memory.

length
    The number of bytes to transfer. If this is zero, it is permissable for <<source>> and <<dest>> to be NULL.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
The routine copies long integers and chars.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/